# Class BasePluginConvention

java.lang.Object
org.gradle.api.plugins.BasePluginConvention

public class BasePluginConvention extends Object

A `Convention` used for the BasePlugin.

## Constructor Summary

Constructors
Constructor
Description
`BasePluginConvention(Project project)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getArchivesBaseName()`
The base name to use for archive files.
`File`
`getDistsDir()`
Returns the directory to generate TAR and ZIP archives into.
`String`
`getDistsDirName()`
The name for the distributions directory.
`File`
`getLibsDir()`
Returns the directory to generate JAR and WAR archives into.
`String`
`getLibsDirName()`
The name for the libs directory.
`org.gradle.api.internal.project.ProjectInternal`
`getProject()`
`void`
`setArchivesBaseName(String archivesBaseName)`
`void`
`setDistsDirName(String distsDirName)`
`void`
`setLibsDirName(String libsDirName)`
`void`
`setProject(org.gradle.api.internal.project.ProjectInternal project)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasePluginConvention

public BasePluginConvention(Project project)

## Method Details

### getDistsDir

public File getDistsDir()
Returns the directory to generate TAR and ZIP archives into.

Returns:
  The directory. Never returns null.

### getLibsDir

public File getLibsDir()
Returns the directory to generate JAR and WAR archives into.

Returns:
  The directory. Never returns null.

### getProject

public org.gradle.api.internal.project.ProjectInternal getProject()

### setProject

public void setProject(org.gradle.api.internal.project.ProjectInternal project)

### getDistsDirName

public String getDistsDirName()
The name for the distributions directory. This in interpreted relative to the project' build directory.

### setDistsDirName

public void setDistsDirName(String distsDirName)

### getLibsDirName

public String getLibsDirName()
The name for the libs directory. This in interpreted relative to the project' build directory.

### setLibsDirName

public void setLibsDirName(String libsDirName)

### getArchivesBaseName

public String getArchivesBaseName()
The base name to use for archive files.

### setArchivesBaseName

public void setArchivesBaseName(String archivesBaseName)